## openttd 1.9.3

=== debian/changelog ===
openttd (1.9.3-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:34:42 +0100

openttd (1.9.3-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:05:55 +0100

openttd (1.9.3-1) unstable; urgency=medium

  * [45f1987] New upstream release 1.9.3 (Closes: #941446)
  * [c0e1406] Bump standards version to 4.4.1 (no changes required)
  * [48c58a7] Set Rules-Requires-Root: no for building
  * [96bf28f] Remove Replaces/Breaks on openttd-dbg
  * [81b7300] Bump debhelper version to v12 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 15 Oct 2019 12:40:41 +0200
