=== debian/control ===
Source: openttd
Section: games
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 12), libsdl-dev, zlib1g-dev, libpng-dev,
 libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
 libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
Homepage: http://www.openttd.org/
Rules-Requires-Root: no

Package: openttd
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx, timidity
Suggests: openttd-opensfx
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 OpenTTD is playable with the free graphics files from the openttd-opengfx
 package and optional sound files from the openttd-opensfx package (which is in
 non-free). Alternatively, OpenTTD can use the graphics files from the original
 Transport Tycoon Deluxe game (See README.Debian on how to set this up).

Package: openttd-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: openttd (<< 1.1.5-1)
Breaks: openttd (<< 1.1.5-1)
Description: common data files for the OpenTTD game
 This package contains data files like language files, scripts and some
 auxiliary graphics.  It does not include any full graphics or sound sets,
 which still need to be installed separately to play OpenTTD.
