=== debian/watch ===
version=3

https://www.openttd.org/downloads/openttd-releases/latest.html .*/openttd-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
