## openttd 1.10.3

=== debian/changelog ===
openttd (1.10.3-1) unstable; urgency=medium

  * [ea0dcf7] New upstream release 1.10.3

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 12 Aug 2020 20:42:00 +0200

openttd (1.10.2-1) unstable; urgency=medium

  [ Matthijs Kooijman ]
  * [7b0ae8f] New upstream release 1.10.2

  [ Debian Janitor ]
  * [6e7a889] Use secure URI in Homepage field
  * [0b1fac7] Add upstream metadata file

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 12 Jun 2020 21:33:26 +0200

openttd (1.10.1-1) unstable; urgency=medium

  * [abf2d77] New upstream release 1.10.1
  * [0013681] Bump standards version to 4.5.0 (no changes required)
  * [7049408] Bump debhelper version to v13
  * [fa3c261] Compile against libsdl2 instead of 1.2

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 13 May 2020 10:37:52 +0200
