=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,12 @@
 # them, but instead pass them to ./configure explicitly.
 include /usr/share/dpkg/buildflags.mk
 
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+VERBOSE=
+else
+VERBOSE="VERBOSE=1"
+endif
+
 # Pass custom options to configure. Since it's not autoconf but a custom
 # script, some of the option names are slightly different. We also need
 # to be explicit about the dependencies, in case we're not running in a
@@ -48,7 +54,7 @@
 
 # Do some extra installation
 override_dh_auto_install:
-	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1
+	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1 $(VERBOSE)
 
 GRF=bin/baseset/openttd.grf
 GRF_BACKUP=debian/openttd.grf
@@ -61,17 +67,9 @@
 
 	# Use dh_auto_build so it handles parallel building
 	# automatically.
-ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
-	dh_auto_build
-else
-	dh_auto_build -- VERBOSE=1
-endif
+	dh_auto_build -- $(VERBOSE)
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_auto_clean -- $(VERBOSE)
 
 	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"
-
-# dh_strip automatically generates a -dbgsym package by default.
-override_dh_strip:
-	dh_strip
