=== src/3rdparty/CMakeLists.txt ===
add_subdirectory(fmt)
add_subdirectory(md5)
add_subdirectory(squirrel)
add_subdirectory(opengl)
add_subdirectory(os2)
