=== src/game/CMakeLists.txt ===
add_files(
    game.hpp
    game_config.cpp
    game_config.hpp
    game_core.cpp
    game_info.cpp
    game_info.hpp
    game_instance.cpp
    game_instance.hpp
    game_scanner.cpp
    game_scanner.hpp
    game_text.cpp
    game_text.hpp
)
