=== debian/changelog ===
openttd (12.1-2build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:41:45 +0100

openttd (12.1-2) unstable; urgency=medium

  * [6b4811a] Use dh_install again instead of dh_cmake during build
  * [3980212] Fix arch-indep builds (Closes: #1002913)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 01 Jan 2022 20:30:43 +0100

openttd (12.1-1) unstable; urgency=medium

  [ Erik Renes ]
  * [14e4ab9] Fix typo in README.Debian

  [ Matthijs Kooijman ]
  * [9940ea1] Update watch file
  * [6146e90] New upstream release 12.1
  * [1a5c0f3] Remove libxdg-basedir-dev build dependency
  * [a99692a] Adapt to upstream now using cmake
  * [9a26661] Bump standards version to 4.6.0 (no changes required)
  * [adcd43a] Enable fluidsynth backend for music playback
  * [4a18b77] Enable SDL-OpenGL backend for video rendering
  * [312f1e9] Update copyright for newly added 3rdparty code

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 28 Dec 2021 17:57:11 +0100
