=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), libsdl2-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
- libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 4.5.0
+ libfluidsynth-dev, libopengl-dev,
+ grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx,
+ cmake (>= 3.9)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
 Homepage: https://www.openttd.org/
@@ -16,8 +18,8 @@
 Architecture: any
 Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
-Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx, timidity
-Suggests: openttd-opensfx
+Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx
+Suggests: openttd-opensfx, timdity
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport
  Tycoon Deluxe" with lots of new features and enhancements.
