## openttd 12.2

=== debian/changelog ===
openttd (12.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make Recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 16 Oct 2022 14:25:10 -0700

openttd (12.2-1) unstable; urgency=medium

  * [789d2fd] Fix typo in Suggests: timidity (Closes: #1003269)
  * [265efa6] New upstream release 12.2
  * [1298c72] Recommend openttd-opensfx instead of just suggesting it
  * [772d473] Remove install-openttd.32.bmp patch which was merged
    upstream

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 20 Apr 2022 15:17:01 +0200
