=== debian/control ===
Source: openttd
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: cmake (>= 3.9),
               debhelper-compat (= 13),
               dpkg-dev (>=1.16.1),
               grfcodec (>= 6.0.5),
               libfluidsynth-dev,
               libfontconfig-dev,
               libfreetype6-dev,
               libicu-dev,
               liblzma-dev,
               liblzo2-dev,
               libopengl-dev,
               libpng-dev,
               libsdl2-dev,
               openttd-opengfx,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
Homepage: https://www.openttd.org/
Rules-Requires-Root: no

Package: openttd
Architecture: any
Multi-Arch: no
Depends: openttd-data (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends},
         openttd-opengfx (>= 0.5.0), openttd-openmsx, openttd-opensfx
Suggests: timidity
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 OpenTTD is playable with the free graphics files from the openttd-opengfx
 package and optional sound and music files from the openttd-opensfx and
 openttd-openmsx packages Alternatively, OpenTTD can use the graphics files
 from the original Transport Tycoon Deluxe game (See README.Debian on how to set
 this up).

Package: openttd-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: openttd (<< 1.1.5-1)
Breaks: openttd (<< 1.1.5-1)
Description: common data files for the OpenTTD game
 This package contains data files like language files, scripts and some
 auxiliary graphics.  It does not include any full graphics or sound sets,
 which still need to be installed separately to play OpenTTD.
