=== debian/rules ===
--- 
+++ 
@@ -54,3 +54,7 @@
 
 execute_after_dh_auto_clean:
 	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
